# Generated by Django 3.2.13 on 2022-06-15 10:49

from django.db import migrations, models
import edc_model.models.fields.other_charfield
import edc_model.validators.date


class Migration(migrations.Migration):
    dependencies = [
        ("effect_subject", "0071_auto_20220614_2131"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="on_rifampicin",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="on_tb_tx",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="previous_oi",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="previous_oi_dx_date",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="previous_oi_name",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="rifampicin_start_date",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="tb_dx_ago",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="tb_prev_dx",
        ),
        migrations.RemoveField(
            model_name="historicalmedicalhistory",
            name="tb_site",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="on_rifampicin",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="on_tb_tx",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="previous_oi",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="previous_oi_dx_date",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="previous_oi_name",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="rifampicin_start_date",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="tb_dx_ago",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="tb_prev_dx",
        ),
        migrations.RemoveField(
            model_name="medicalhistory",
            name="tb_site",
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="on_rifampicin",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=5,
                verbose_name="If YES, are you currently also taking Rifampicin?",
            ),
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="on_tb_tx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="-",
                max_length=5,
                verbose_name="Are you currently taking TB treatment?",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="previous_oi",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="-",
                max_length=5,
                verbose_name="Previous opportunistic infection other than TB?",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="previous_oi_dx_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="If YES, what was the date of the previous opportunistic infection diagnosis?",
            ),
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="previous_oi_name",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If YES, specify opportunistic infection name?",
            ),
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="rifampicin_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="If YES, when did you first start taking Rifampicin?",
            ),
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="tb_dx_ago",
            field=models.CharField(
                choices=[
                    ("lte_5_yrs", "During past 5 years (no longer on treatment)"),
                    ("gt_5_yrs", "More than 5 years ago (no longer on treatment)"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If NO, when was TB diagnosis?",
            ),
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="tb_prev_dx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="-",
                max_length=5,
                verbose_name="Previous diagnosis of Tuberculosis?",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="historicalpatienthistory",
            name="tb_site",
            field=models.CharField(
                choices=[
                    ("pulmonary", "Pulmonary"),
                    ("extra_pulmonary", "Extra-pulmonary"),
                    ("both", "Both"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If YES, site of TB?",
            ),
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="on_rifampicin",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=5,
                verbose_name="If YES, are you currently also taking Rifampicin?",
            ),
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="on_tb_tx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="-",
                max_length=5,
                verbose_name="Are you currently taking TB treatment?",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="previous_oi",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="-",
                max_length=5,
                verbose_name="Previous opportunistic infection other than TB?",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="previous_oi_dx_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="If YES, what was the date of the previous opportunistic infection diagnosis?",
            ),
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="previous_oi_name",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If YES, specify opportunistic infection name?",
            ),
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="rifampicin_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="If YES, when did you first start taking Rifampicin?",
            ),
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="tb_dx_ago",
            field=models.CharField(
                choices=[
                    ("lte_5_yrs", "During past 5 years (no longer on treatment)"),
                    ("gt_5_yrs", "More than 5 years ago (no longer on treatment)"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If NO, when was TB diagnosis?",
            ),
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="tb_prev_dx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="-",
                max_length=5,
                verbose_name="Previous diagnosis of Tuberculosis?",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="patienthistory",
            name="tb_site",
            field=models.CharField(
                choices=[
                    ("pulmonary", "Pulmonary"),
                    ("extra_pulmonary", "Extra-pulmonary"),
                    ("both", "Both"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=15,
                verbose_name="If YES, site of TB?",
            ),
        ),
    ]
