# Generated by Django 4.1.7 on 2023-08-02 13:07

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("effect_subject", "0104_alter_historicallpcsf_csf_requisition_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="arvhistory",
            name="on_art_at_crag",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Also applies if ART started on the day of CrAg test (Test and Treat) or since CrAg test, but before enrolment.",
                max_length=5,
                verbose_name="Was the participant on ART <u>at time of</u> CrAg test?",
            ),
        ),
        migrations.AlterField(
            model_name="arvtreatment",
            name="arv_regimen_changed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="Also applies if ART started/re-started since enrolment, including at this visit.",
                max_length=15,
                verbose_name="Has the participant's ART regimen changed since the last study assessment",
            ),
        ),
        migrations.AlterField(
            model_name="arvtreatment",
            name="on_arv_regimen",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="If ART regimen is on hold, answer YES and clarify below",
                max_length=15,
                verbose_name="Is the participant currently on an ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalarvhistory",
            name="on_art_at_crag",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Also applies if ART started on the day of CrAg test (Test and Treat) or since CrAg test, but before enrolment.",
                max_length=5,
                verbose_name="Was the participant on ART <u>at time of</u> CrAg test?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalarvtreatment",
            name="arv_regimen_changed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="Also applies if ART started/re-started since enrolment, including at this visit.",
                max_length=15,
                verbose_name="Has the participant's ART regimen changed since the last study assessment",
            ),
        ),
        migrations.AlterField(
            model_name="historicalarvtreatment",
            name="on_arv_regimen",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="If ART regimen is on hold, answer YES and clarify below",
                max_length=15,
                verbose_name="Is the participant currently on an ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalparticipanthistory",
            name="on_tb_tx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Includes treatment for active TB, latent TB, and TB prevention. Select YES if started today.",
                max_length=5,
                verbose_name="Is the participant currently taking TB treatment?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalparticipanttreatment",
            name="on_co_trimoxazole",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Select YES if currently on co-trimoxazole, or prescribed today.",
                max_length=15,
                verbose_name="Has the participant been prescribed co-trimoxazole?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalparticipanttreatment",
            name="on_tb_tx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Select NO if started pre-enrolment or on day 1, and captured on day 1. Select YES if started today.",
                max_length=15,
                verbose_name="Has the participant been put on TB preventive therapy?",
            ),
        ),
        migrations.AlterField(
            model_name="participanthistory",
            name="on_tb_tx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Includes treatment for active TB, latent TB, and TB prevention. Select YES if started today.",
                max_length=5,
                verbose_name="Is the participant currently taking TB treatment?",
            ),
        ),
        migrations.AlterField(
            model_name="participanttreatment",
            name="on_co_trimoxazole",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Select YES if currently on co-trimoxazole, or prescribed today.",
                max_length=15,
                verbose_name="Has the participant been prescribed co-trimoxazole?",
            ),
        ),
        migrations.AlterField(
            model_name="participanttreatment",
            name="on_tb_tx",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Select NO if started pre-enrolment or on day 1, and captured on day 1. Select YES if started today.",
                max_length=15,
                verbose_name="Has the participant been put on TB preventive therapy?",
            ),
        ),
    ]
